Bug 985674 - Tracker bug for migrating to Maven 3.1.0
Tracker bug for migrating to Maven 3.1.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Bill Nottingham
: Tracking
Depends On: 963578 965237 965238 981386 984538 985678 985682 985689 985691 985692 985693 985694 985695 985696 985697 985700 985701 985702 985703 985704 985705 985706 985707 985708 986160 986168 987084 987110 987111 987112 987113 987114 987115 987116 987117 987316 988253
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 00:34 EDT by Mikolaj Izdebski
Modified: 2014-03-16 23:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-23 03:25:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-18 00:34:04 EDT
Version 3.1.0 of Apache Maven was recently released.  It is a
long-awaited release which brings numerous new features and fixes many
bugs.  A full list is available in Maven 3.1.0 release notes [1].

I think it's important for Fedora to switch to new Maven as soon as
possible.  Unfortunately there are signifficant incompatibilities
between Maven 3.1.0 and 3.0.5 which make this process non-trivial.

Maven 3.1.0 switched from Sonatype Aether to Eclipse Aether and from
Sonatype Sisu to Eclipse Sisu.  Plugins that directly depend on Aether
or Sisu may no longer work with Maven 3.1.0.  Upstream lists [2] some
plugins that were or need to be updated to work with Maven 3.1.0.

This tracker bug is intended to lists tasks needed to be done in order
to migrate to Maven 3.1.0 as well as any bugs related to the
migration.

[1] http://maven.apache.org/docs/3.1.0/release-notes.html
[2] http://cwiki.apache.org/confluence/display/MAVEN/AetherClassNotFound
Comment 1 Alexander Kurtakov 2013-12-20 04:02:27 EST
Can we close this one?
Comment 2 Mikolaj Izdebski 2013-12-23 03:25:54 EST
(In reply to Alexander Kurtakov from comment #1)
> Can we close this one?

Of course.

Everything in Fedora 20 has been migrated to maven 3.1.0 or later. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.